cls
@echo off
color 1f
echo.
echo *****************************
echo *                           *
echo *        PIMP E2B!          *
echo *                           *
echo *****************************
if not exist %~d0\_ISO\e2b\grub\menu.lst echo Please run this from the E2B drive to add extra menu items to E2B! && pause & goto :EOF
echo.
echo This script creates a new \_ISO\MAINMENU\PIMP folder
echo to add extra cool menu entries to your Main Menu (English only).
echo.
echo You can delete any of these extra .mnu files or edit them into your own language.
echo.
set ask=
set /P ask="Pimp E2B (Y/[N]) : "
if /i not "%ask%"=="Y" goto :EOF
echo.
echo.

if not exist %~d0\_ISO\MAINMENU\PIMP\nul mkdir %~d0\_ISO\MAINMENU\PIMP

pushd "%~d0\_ISO\docs\Sample mnu files\E2B menus"

REM for %%G in ("grub4dos shell.mnu",Adjust_E2B_Menu.mnu,Font_Demo.mnu,Change_Font.mnu,Change_Language.mnu,Change_Wallpaper_BMP.mnu,Choose_E2B_Wallpaper.mnu,Change_Wallpaper_GZ.mnu,Change_Wallpaper_JPG.mnu,RemoveMenuPassword.mnu,Stamp_and_Animate_Demo.mnu,Test_redir_redirp_EXTOFF_Patchme.mnu,True_Hide_Unhide.mnu,Play_a_Tune.mnu) do (

for %%G in ("grub4dos shell.mnu",Adjust_E2B_Menu.mnu,RemoveMenuPassword.mnu,Stamp_and_Animate_Demo.mnu,True_Hide_Unhide.mnu,Play_a_Tune.mnu) do (
if exist %%G copy %%G %~d0\_ISO\MAINMENU\PIMP > nul
)

if exist %~d0\_ISO\e2b\grub\Background.bmp.gz copy "%~d0\_ISO\e2b\grub\Background.bmp.gz" "%~d0\_ISO\Default_Background.gz" > nul
if exist %~d0\_ISO\docs\PassPass\*.g4b xcopy /y "%~d0\_ISO\docs\PassPass\*.*" "%~d0\_ISO\MAINMENU\PIMP\*.*" > nul
if exist "%~d0\_ISO\docs\Sample mnu files\Windows\Boot_Recovery_WIM.mnu" xcopy /y "%~d0\_ISO\docs\Sample mnu files\Windows\Boot_Recovery_WIM.mnu" %~d0\_ISO\MAINMENU\PIMP\*.* > nul


REM -------- FOR CHANGE THEMES MENU, WE NEED A LARGE BLANK MyE2B.cfg FILE -------
set ask=
if not exist %~d0\_ISO\MyE2B.cfg set ask=Y
if exist %~d0\_ISO\MyE2B.cfg (
	color 3f
	echo WARNING: \_ISO\MyE2B.cfg file already exists!
	echo.
	echo This file must be replaced if you want to be have a 'Change Themes' option.
	echo.
	if exist %~d0\_ISO\MyE2B.cfg.bak echo I recommend you make a backup first!
	if not exist %~d0\_ISO\MyE2B.cfg.bak echo A backup will be made at \_ISO\MyE2B.cfg.bak
	echo.
	set /p ask="Delete \_ISO\MyE2B.cfg file (Y/[N]) : "
	echo.
	)

if /i "%ask%"=="Y" (
		if not exist %~d0\_ISO\MyE2B.cfg.bak copy %~d0\_ISO\MyE2B.cfg %~d0\_ISO\MyE2B.cfg.bak > nul
		copy "%~d0\_ISO\docs\mythemes\$Default E2B menu.cfg" %~d0\_ISO\MyE2B.cfg > nul
		copy "%~d0\_ISO\docs\Sample mnu files\E2B menus\Change_Theme.mnu" %~d0\_ISO\MAINMENU\PIMP\*.* > nul
		)

popd
echo.
color 2f
cls
echo.
echo \_ISO\MAINMENU\PIMP now contains the new menu files!
echo.
echo To test various different wallpaper backgrounds
echo You can add .bmp, .jpg and compressed .gz wallpaper graphics files to the \_ISO folder
echo.
if exist %~d0\_ISO\MyE2B.cfg.bak echo INFORMATION: There is a MyE2B.cfg backup file at %~d0\_ISO\MyE2B.cfg.bak
echo.
pause
goto :EOF



