:: This E2B file will work with SDI and SDIO - only one type of executable should be present (SDIO_Rxxx.exe or SDI_Rxxx.exe)

pushd "%~dp0"
set SDIV=SDIO
if exist SDI_*.exe set SDIV=SDI
if not exist %SDIV%*.exe echo ERROR: %SDIV% EXECUTABLES ARE MISSING! Please extract the latest SDI download to the %~p0 folder & pause & goto :EOF
call :RUNSDI %1 %2 %3 %4 %5 %6 %7 %8 %9
popd
goto :EOF

:RUNSDI
rem EXECEPTION: 32-bit version of SDI cannot run on Windows PE x64.
rem 64-bit version is faster and doesn't have the 2GB RAM per process limitation.
IF %PROCESSOR_ARCHITECTURE% == x86 (IF NOT DEFINED PROCESSOR_ARCHITEW6432 goto bit32)
goto bit64
:bit32
echo 32-bit
set xOS=R
goto cont
:bit64
echo 64-bit
set xOS=x64_R
:cont

for /f "tokens=*" %%a in ('dir /b /od "%~dp0%SDIV%_%xOS%*.exe"') do set "SDIOEXE=%%a"
if exist "%~dp0%SDIOEXE%" (
   start /wait "Snappy Driver Installer" /d"%~dp0" "%~dp0%SDIOEXE%" -verbose:511 -license -expertmode -norestorepnt -showdrpnames2 -norestorepnt -nosnapshot %1 %2 %3 %4 %5 %6 %7 %8 %9
   goto :eof
) else (
 echo.
 echo 'Snappy Driver Installer Origin version' NOT FOUND!
 echo.
 timeout 6
 goto :eof
)
